# SOURCE IS STORED IN SVN (soft/theme/ia_ora-gnome), 
# DO NOT PATCH IT

%define libname %{_lib}ia_ora-gnome

Summary:        Ia Ora Mandriva GNOME theme
Name:           ia_ora-gnome
Version:        1.0.12
Release:        %mkrel 1
License:        GPL
Group: Graphical desktop/GNOME
URL:            http://www.mandrivalinux.com/
BuildRequires:  gtk+2-devel
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: gnome-icon-theme
Requires: ia_ora-gnome-gtk2-engine

%description
Mandriva Ia Ora GNOME theme

%package -n %{libname}
Summary: GTK2 engine for Ia Ora theme
Group: Graphical desktop/GNOME
Provides: ia_ora-gnome-gtk2-engine

%description -n %{libname}
GTK2 engine for Ia Ora theme



 
%prep
%setup -q 

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std


#remove unpackaged files 
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/*.la 

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc README 
%{_datadir}/themes/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/gtk-2.0/*/engines/*.so




%changelog
* Fri Jun 01 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.12-1mdv2008.0
+ Revision: 34225
- Release 1.0.12 :
 * improve progress bar rendering, specially inversed and vertical ones


* Tue Mar 20 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.11-1mdv2007.1
+ Revision: 147056
- Release 1.0.11 :
- do not center title which are larger than window width, left align them

* Tue Mar 13 2007 Frederic Crozat <fcrozat@mandriva.com> 1.0.10-1mdv2007.1
+ Revision: 143170
-Release 1.0.10 :
 - Fix toggle button for VMWare and in normal conditions too (TheWidgetFactory)
 - Make Ia Ora gtk themes color scheme compliant
 - Fix shaded mode in Ia Ora Orange metacity theme
 - Center title on Ia Ora metacity theme
 - Fix warning when starting gnome-panel

  + Jérôme Soyer <saispo@mandriva.org>
    - Import ia_ora-gnome

* Sat Oct 07 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.9-1mdv2007.0
- Release 1.0.9 :
 - Right-to-Left languages are now supported and shadows are inversed, 
   following reading direction
 - Fix buttons missing borders in VMWare
 - Fix columns drawing in evolution messages list
 - Fix buttons drawing in gnomine (Mdv bug #26293)
 - Code cleanup

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.8-1mdv2007.0
- Release 1.0.8 :
 - fix text color on combobox popup (in f-spot for instance)

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.7-1mdv2007.0
- Release 1.0.7 :
 - add color focus for text entry
 - remove workaround for GNOME bug #346751, GTK+ is now fixed

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.6-1mdv2007.0
- Release 1.0.6 :
  - tune colors used in black_check mode
  - fix text positioning for radio and checkbutton

* Fri Sep 01 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.5-1mdv2007.0
- Release 1.0.5 :
 - increase metacity window border for easier grab and use two colors for it
 - change text color on unfocused and focused window title
 - clean gtk2 engine code
 - workaround GNOME bug #346751 by not using symbolic colors for properties
 - improve sliders : enhanced mouseover, remove gradient, fix center
 - fix progressbar background and readability
 - draw radiobutton/checkbutton in black/gray for  free/gray/orange themes
   (use black_check as engine parameter to restore previous behaviour)
 - fix spinbutton size and arrow position in it
 - fix colors used for point in handlers
 - fix various colors in evolution
 - fix highlight text for open menu in combobox

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdv2007.0
- Release 1.0.4 :
 - Replace cross with check, can be overwritten by setting use_cross=TRUE
   in gtkrc engine parameter
 - rename Ia Ora Yellow into Ia Ora Orange

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-1mdv2007.0
- Release 1.0.3 :
 - code / palette / gtkrc cleanup
 - fix crash when changing enable_gradient
 - fix diskdrake colored buttons (Mdv bug #24377)
 - fix arrow size and position

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdv2007.0
- Release 1.0.2 :
 - fix crash (Mdv bug #24292)
 - don't use gtk theme colors in metacity themes
 - don't export unneeded symbols and don't accept undefined symbols either

* Fri Aug 11 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdv2007.0
- Split package to allow install in both 32 and 64bits

* Thu Aug 10 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-2mdv2007.0
- Initial package

